Bug 1149906 - Mixed up mod_proxy_balancer jvmRoutes causing sticky session breaks
Summary: Mixed up mod_proxy_balancer jvmRoutes causing sticky session breaks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd
Version: 6.7
Hardware: Unspecified
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact: Filip Holec
URL:
Whiteboard:
Depends On:
Blocks: 1075802 1159820
TreeView+ depends on / blocked
 
Reported: 2014-10-06 21:20 UTC by Aaron Ogburn
Modified: 2019-03-22 07:20 UTC (History)
7 users (show)

Fixed In Version: httpd-2.2.15-40.el6
Doc Type: Bug Fix
Doc Text:
The order of mod_proxy workers was not checked when httpd configuration was reloaded. Consequently, when mod_proxy workers had been removed, added, or their order changed, their parameters and scores could become mixed. The order of mod_proxy workers has been made internally consistent during configuration reload.
Clone Of:
Environment:
Last Closed: 2015-07-22 05:53:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1249 normal SHIPPED_LIVE Low: httpd security, bug fix, and enhancement update 2015-07-20 17:50:12 UTC

Description Aaron Ogburn 2014-10-06 21:20:55 UTC
Description of problem:

mod_proxy_balancer can get mixed routes per 
https://issues.apache.org/bugzilla/show_bug.cgi?id=44736 and this impacts the RHEL6 httpd package.

Comment 5 William Lovaton 2014-10-09 23:13:31 UTC
Hello,

It seems a patch is being proposed in the upstream bug.  I just created a support ticket here: https://access.redhat.com/support/cases/01243147/

If you get test RPMS I'm willing to test them in production.

Thanks a lot for your help.

Comment 6 Joe Orton 2014-10-10 07:37:55 UTC
William - thanks for filing a ticket.

Yes, we'd appreciate some testing on this patch, we'll get some test packages prepared next week.

Comment 7 Jan Kaluža 2014-10-13 06:04:46 UTC
William, against which RHEL6 version do they need the test RPM? Can you clarify it's RHEL-6.4?

Comment 8 William Lovaton 2014-10-13 22:52:32 UTC
(In reply to Jan Kaluža from comment #7)
> William, against which RHEL6 version do they need the test RPM? Can you
> clarify it's RHEL-6.4?

Yeah, right now I'm on RHEL 6.4 but I can upgrade my system to RHEL 6.5 if needed.

Comment 12 William Lovaton 2014-10-18 00:10:50 UTC
(In reply to Jan Kaluža from comment #7)
> William, against which RHEL6 version do they need the test RPM? Can you
> clarify it's RHEL-6.4?

Hello Jan,

Just to be a little bit clearer, the base system is RHEL 6.4 but trying to solve this problem I decided to upgrade httpd and mod_ssl to the latest update available in RHN which was post RHEL 6.5 at the time.  This didn't solve the problem.

In a little bit of despair I tried upgrading httpd and mod_ssl to the latest 2.2.27 from a Centos repo but again this didn't solve the problem.

Obviously, for me would be a lot better to "downgrade" apache to the oficial RHEL package and as I said I'm willing to do so testing the RPMs with the patches you are working on.

Also I'm willing to upgrade the whole system to RHEL 6.5 if you want.

Comment 46 errata-xmlrpc 2015-07-22 05:53:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1249.html


Note You need to log in before you can comment on or make changes to this bug.